Subject: [bug#39261] [PATCH] guix: import/crate: Move build-dependencies to cargo-inputs.

From: Efraim Flashner <[email-masked]>
Date: Wed, 05 Feb 2020 07:14:04 +0000

I'm actually going to let this one ride until we review the importer patches. Then if it still makes sense we can apply this one.

On February 4, 2020 11:17:36 PM UTC, "Ludovic Courtès" <[email-masked]> wrote:
>Hello!
>
>Nitpick: for the subject line, I’d write:
>
>  import: crate: Move build dependencies to cargo-inputs.
>
>Efraim Flashner <[email-masked]> skribis:
>
>> * guix/import/crate.scm (crate->guix-package): Add definition for
>> 'dev-dependency?' and 'build-dependency?'. Adjust dep-crates to take
>> normal- and build- dependencies.
>
>[...]
>
>> +  (define (dev-dependency? dependency)
>> +    (eq? (crate-dependency-kind dependency) 'dev))
>
>Nitpick2: I’d recommend ‘development-dependency?’ as per the style
>guidelines.  :-)
>
>Anyhow, LGTM!
>
>Thanks,
>Ludo’.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.